Skip to main content
POST
/
keys
/
create
Create API key
curl --request POST \
  --url https://api.openwhispr.com/api/v1/keys/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "scopes": [
    "notes:read"
  ],
  "expires_in_days": 2
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "name": "<string>",
    "key_prefix": "<string>",
    "scopes": [
      "<string>"
    ],
    "last_used_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key starting with owk_live_

Body

application/json
name
string
required
Required string length: 1 - 100
scopes
enum<string>[]
Available options:
notes:read,
notes:write,
transcriptions:read,
usage:read
expires_in_days
integer
Required range: x >= 1

Response

Created API key.

data
object